PHP is a general-purpose scripting language that is especially suited for Web development. The online manual is an excellent resource for the language syntax and has an extensive list of the built-in and extension functions. Most extensions can be found in PECL.

learn more… | top users | synonyms

0
votes
1answer
309 views

How to install Apache and PHP by using only packages on FreeBSD?

Is there a way to install without compiling them through the ports? I installed Apache from packages and it works, but pkg_add -r php53 doesn't install mod_php5.so/libphp5.so. I experiment on FreeBSD ...
0
votes
0answers
3 views

Need to Run PHP 5.5 on a specific directory

I have PHP 5.3 installed on Zend Server in my machine. I am using Windows 2008 server R2(64 bit). But i need to run PHP 5.5 on a separate directory to run a bdd tool called codeception. How it can be ...
-1
votes
0answers
9 views

Enable fileinfo module on php 5.3 [on hold]

I'm currently using a shared host, which has disabled fileinfo module during their php installation. Given the fact that I cannot reinstall php on the server, is there any way I can use fileinfo ...
1
vote
2answers
905 views

500 internal server error php long running process

I am trying to run a long php process and it ends with the 500 internal server error. It executes fine for about 8 mins. I have rebooted the machine after changing the php settings. PHP Config: ...
-1
votes
0answers
20 views

webserver made http request repeatedly [on hold]

here are what my php scripts, lets call it script1.php do (in order) executes a MySQL select query (query1) store that query1 string into a log executes a MySQL select query (query2) store that ...
3
votes
1answer
2k views

“Unable to initialize module” fileinfo php-pecl-Fileinfo.x86_64

I have a brand new server server that I am trying to get setup up. This is a 64 bit machine that I can not install "fileinfo" or "memcache". I have uninstalled these and reinstalled them using yum ...
0
votes
1answer
30 views

atomic deployments with Nginx and PHP FPM

I'm trying to get atomic deployments, I don't want to lose/drop any requests. I deploy the code using Capistrano, classic situation were you have a 'current' dir that is a symlink to the latest ...
0
votes
1answer
797 views

How to fix Apache from crashing with PHP+Curl on an SSH request?

My Apache process segfaults whenever I call curl_exec() from PHP with an "https://" URL. If I use http instead of https as the URL transport, it works perfectly, so I know curl and the other curl ...
1
vote
1answer
47 views

PHP 5.5 on Ubuntu with php-mcrypt: Unmet dependencies

I have an ubuntu server running with PHP 5.5 $ php -v PHP 5.5.3-1ubuntu2 (cli) (built: Oct 9 2013 14:49:12) Copyright (c) 1997-2013 The PHP Group Zend Engine v2.5.0, Copyright (c) 1998-2013 Zend ...
0
votes
1answer
24 views

How to test if a particular version of php executable is available on a server?

An automatic upgrade Bash script requires PHP executable 5.3+, how do I ensure that is the case in the upgrade script? I'd like the script to quit and generate some message into the log when php 5.3+ ...
0
votes
0answers
36 views

How can a bog-standard Wordpress install break PHP?

I'm trying to host a Wordpress site on the root of a standard Apache setup on Ubuntu 14.04. The main page of the site loads fine, but any other page causes a "no data received" message in the browser, ...
0
votes
1answer
23 views

Centos and PHP 5.4+

I am a web developer and I am looking to start my next (Rather huge) project using a PHP framework called Laravel, which requires at a minimum PHP 5.4. Currently, on my company's web server we run ...
1
vote
1answer
4k views

How do I get the latest FastCGI and PHP versions to peacefully coexist on IIS 6?

I have been going round and round trying to get any sort of PHP running on IIS 6. I somehow managed to successfully get version 5.1.4 running using the php5isapi.dll file. However, I want to upgrade ...
0
votes
1answer
804 views

PHP-FPM save sessions in memcached

I'm trying to switch my session_handler to memcached, I'm not sure if it worked, it does not look like it did. vi /etc/php5/fpm/php.ini session.save_handler = memcached session.save_path = ...
1
vote
4answers
153 views

.php file blank - .php5 files works

I have a problem with a server of mine. I've installed virtualmin/webin on it for administration and I have 1 domain on it. DNS management is external. On this domain I only have an html "Under ...
0
votes
1answer
1k views

Installing SSH2 on Windows Server using PHP5.5 VC11NTS

for the past few days i've been aching my brain on installing the SSH2 Connection on PHP. My current setup is VC11 Non thread safe, which I have downloaded the appropriate zip folders on the PECL ...
0
votes
1answer
74 views

setting up snort 2.9.x with barnyard2

These how to guides on the interent are outdated also the software it is relying on is not up to date with PHP5.5. I have done some hacks with ACID and ADODB to make part sof the gui to work. I have ...
0
votes
1answer
32 views

What is the name of this “security leak finder” application?

They said that there were some vulnerabilities, and then pointed these results: What is the name of this application?
3
votes
2answers
810 views

Ubuntu install php5-ffmpeg

When I try to install php5-ffmpeg: apt-get install php5-ffmpeg I get an error: The following packages have unmet dependencies: php5-ffmpeg : Depends: phpapi-20090626+lfs As I understand my ...
2
votes
4answers
2k views

How to add a pool to FPM (nginx) without reload/restart fpm itself?

Im building an environment (on a ubuntu 10.04.02 machine) to handle a website with many (should support at least 1000) subdomains, each of them served by a different FPM pool, with a different user. ...
1
vote
2answers
744 views

How to downgrade php 5.5 to 5.4 on Ubuntu 13?

I'm using kubuntu 13.04 I've used a downgrade script to downgrade php 5.4 to 5.3 earlier, and now I deleted the repo and that script, removed php 5.3 and now when installing again, it's installing php ...
-1
votes
1answer
57 views

How to upgrade a Forge provisioned Digitalocean server to php 5.6?

I'd like to upgrade the php-version from 5.5 to 5.6 on my digitalocean-boxes that I provisioned with Forge in the previous months. Can this be done simply by executing sudo apt-get upgrade php5?
0
votes
2answers
756 views

Enabling openssl With PHP/nginx

I'm getting the following error when trying to connect to SMTP + SSL through PHP using nginx + PHP 5, Could not connect to smtp host 'ssl://smtp.gmail.com' (5) (Unable to find the socket transport ...
2
votes
1answer
3k views

nginx / php-fpm error logging

I'm trying to figure out where the PHP errors are going in my setup. I'm running nginx as the reverse proxy to PHP-FPM, but I'm not seeing the various E_NOTICE or E_WARNING messages my app is ...
3
votes
3answers
5k views

apache not displaying php pages, offering them for download instead

we are trying to setup apache (apache 2 in this case, although apache does the same thing) and html pages display just fine, however, any php pages linked into buttons on the front page are offered ...
1
vote
2answers
88 views

PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/apc.so'

I have updated my php from 5.3.3 to 5.4.31. I have a Debian 6 Squeeze. PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/apc.so' - /usr/lib/php5/20100525/apc.so: ...
0
votes
0answers
37 views

process /var/www/cgi-bin/cgi_wrapper/cgi_wrapper(53573) exit(lifetime expired), get unexpected signal 6

after a plesk update i see the following errors in my logfiles and cant find out what the issue is.. can someone help me? i use OS: CentOS 6.5 (Final) and Plesk version: 12.0.18 Update #14 , [Wed ...
0
votes
3answers
3k views

Connection refused HTTPS on Apache

I'm currently trying out HTTPS on one of my sites, and I got a trial certificate from a trusted CA. I've gone through the following checklist: Copied all the cert files according to the CA's ...
0
votes
2answers
133 views

PHP stopped working after upgrading from 5.3 to 5.5 using PPA

I had PHP 5.3 working on an old server that my company uses. I have PHP 5.5 working on my AWS server. Both of the servers are Ubuntu. My application is working fine on my AWS server. But when I ...
1
vote
2answers
961 views

Install php 5.3.10 in ubuntu 12.04

I have been trying to downgrade the php version from php 5.4 to php 5.3. I tried removing php5, purging php5 and then reinstalling using "apt-get install php5=5.3.6-13ubuntu3.6", but it did not help, ...
0
votes
1answer
59 views

Centos 6.5 — backported upgrades/php.ini directives included in php 5.3.3

PHP 5.3.3 is the latest version of PHP available with the official CentOS 6.5 repos. As most of you know, calling it version '5.3.3' is slightly deceptive because critical bug fixes are actually back ...
1
vote
1answer
68 views

ubuntu 12.04 apt-get purge php5 doesn't seem to remove php5

I recently made the mistake of upgrading to php5.5 without reading more up on it. It obviously broke my install of apache2.2. I'm in the process of trying to downgrade back to php5.3 or preferable ...
5
votes
1answer
2k views

PHP5-FPM does not create unix socket directory within /var/run

I've set up my php5-fpm to bind to a unix domain socket within /var/run/php5-fpm. /etc/php5/fpm/pool.d/www.conf listen = /var/run/php5-fpm/$pool.sock The problem is that it will not automatically ...
30
votes
7answers
55k views

How do you restart php-fpm?

I need to reload my php.ini and there's nothing in the help dialog about restarting it.
0
votes
1answer
52 views

Upgrading PHP 5.2 to PHP 5.3 on EC2

I am a HUGE novice with this, and I have spend a whole day and a night trying to fix this. I know this has been asked before, but I have tried everything in those answers as well as from all over the ...
1
vote
2answers
2k views

PHP5 is installed, but Apache is displaying PHP as uninterpreted text. How can I get it to process it as PHP?

In a Drupal installation, it's displaying the root PHP file as plain text below. a2enmod says that php5 is enabled, aptitude says libapache2-mod-php5 is installed, mods-enabled/ has php5.conf and ...
0
votes
1answer
42 views

Apache process seems to die every hour

Background: I have a very old site running on a very old VPS, a very old Apache and a very old PHP that I can't upgrade because it's a very old CentOS machine. It's an up-to-date WordPress site that ...
0
votes
0answers
50 views

Why am I getting 405 errors after swappinng domain names?

I had oldsubdomain.xxx.com. Everything was working fine. Windows 2008 R2 IIS 7.5 running php sites. Also had SSL running and used for all sites. So I needed to change to newsubdomain.xxx.com. ...
-3
votes
2answers
81 views

Junk characters is added to the end of php-files [closed]

I have problems with the latest version of phpmyadmin. It seems that "something" is adding junk characters at the end of the php-documents. I'm 110% sure that all files is in UTF8-format (without ...
1
vote
0answers
136 views

Strange requests with wrong server_name and port 25 in apache / php

If I try to telnet [myserver.mydomain.com] 25 I get Trying [ip number]... telnet: Unable to connect to remote host: Connection refused but still I get strange requests such as the following ...
0
votes
1answer
20 views

weird characters being appended to requests

I am running apache2 with php5, wordpress and getting this weird thing where symbols will append to the end of a jqeury request and then quotes on the other pictures. If I clear my cookies it fixes it ...
1
vote
2answers
16k views

How do I enable the IMAP functions in PHP?

I have a LAMP box running Ubuntu, Apache 2 and PHP5 with Slicehost. I'm a bit new to all this sysadmin stuff (I'm primarily a web developer). I need to use the IMAP functions in PHP, but they don't ...
0
votes
1answer
60 views

Can't install php-mysql module

First time using php 5.5 and well I'm getting a lot of headaches. I can't install php-mysql, I get the following error: Error: Package: php-mysql-5.4.30-1.el6.remi.x86_64 (remi) Requires: ...
0
votes
2answers
197 views

Unable to install PHP5-APC

When trying to install php5-apc, getting this error : root@x-fr-1:/etc/apt# apt-get install php5-apc Reading package lists... Done Building dependency tree Reading state information... Done The ...
0
votes
1answer
926 views

Can't configure PHP error log

I'm running apache2 with php5 on Linux Mint 13 Maya. I have defined a virtual host and these two entries there: ErrorLog ${APACHE_LOG_DIR}/error.log CustomLog ${APACHE_LOG_DIR}/access.log combined ...
0
votes
2answers
203 views

Unable to install anything on my aws lamp ubuntu server

I am trying to install unzip and vsftpd on my lamp server on my aws instance, but attempting to install anything results in the following error: $ sudo apt-get install vsftpd Reading package lists... ...
0
votes
0answers
81 views

Memcached problems since upgrade from Ubuntu 12.04 to 14.04

I recently migrated to Ubuntu 14.04 with a Webprojekt (nginx,PHP5,MariaDB,memcached). All configs are exactly the same. But the cached sites sometimes don't load properly. I enabled the verbose mode ...
0
votes
1answer
268 views

Wordpress site has repeated PHP out of memory error despite increasing PHP memory limit and confirming no RLimitMEM

Nearly every 4 minutes, I'm seeing the following out of memory error in the php error log: 01-Jul-2014 21:50:03 UTC] PHP Fatal error: Allowed memory size of 268435456 bytes exhausted (tried to ...
4
votes
3answers
1k views

php5-gd shows in “php -i | grep -i gd” but not in phpinfo();

I am trying to enable GD in my installation of Apache2, PHP5 and MySQL on my Ubuntu server. I installed php5-gd with: apt-get install php5-gd And when I run php -i I get: gd GD Support => ...
5
votes
4answers
16k views

Downgrade PHP 5.4 to 5.3 in Debian

I had to do a Debian dist-upgrade on my server... in the process, PHP got upgraded to 5.4. We use ioncube which only supports up to 5.3 atm, and I'm having some trouble finding how to downgrade to ...